SPLIT(1)

NOM
split - Découper un fichier en plusieurs parties

SYNOPSIS
split [OPTION]... [FICHIER [PRÉFIXE]]

DESCRIPTION

Afficher des parties de FICHIER dans PRÉFIXEaa, PRÉFIXEab, ... ; la taille par défaut est de 1000 lignes, et le PRÉFIXE par défaut est « x ».

L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-a, --suffix-length=N
    générer des suffixes de longueur N (2 par défaut)

--additional-suffix=SUFFIXE
    ajouter un SUFFIXE à la fin des noms de fichier

-b, --bytes=TAILLE
    placer TAILLE octets par fichier de sortie

-C, --line-bytes=TAILLE
    écrire des lignes de TAILLE octets au plus par fichier de sortie

-d  utiliser des suffixes numériques en commençant à 0 au lieu de suffixes alphabétiques

--numeric-suffixes[=ORIGINE]
    identique à -d, mais permet de définir la valeur de départ

-x  utiliser des suffixes hexadécimaux en commençant à 0 au lieu de suffixes alphabétiques

--hex-suffixes[=ORIGINE]
    identique à -x, mais permet de définir une valeur de départ

-e, --elide-empty-files
    ne pas créer de fichier de sortie vide avec -n

--filter=COMMANDE
    envoyer la sortie à COMMANDE ; le nom du fichier est contenu dans $FILE

-l, --lines=NOMBRE
    écrire NOMBRE lignes par fichier de sortie

-n, --number=PARTIES
    générer PARTIES fichiers de sortie ; consultez l’explication ci-dessous.

-t, --separator=SÉPARATEUR
    utiliser le SÉPARATEUR au lieu d'un retour à la ligne pour séparer les enregistrements ; « \0 » (zéro) indique l’octet NULL

-u, --unbuffered
    copier directement l'entrée vers la sortie avec « -n r/... »

--verbose
    afficher un diagnostic juste avant l'ouverture de chacun des fichiers de sortie

--help
    afficher l'aide-mémoire et quitter

--version
    afficher le nom et la version du logiciel et quitter

L’argument TAILLE est un entier suivi d'une unité facultative (10k pour 10×1024 par exemple). Les unités sont K, M, G, T, P, E, Z et Y (puissances de 1024) ou KB, MB, etc. (puissances de 1000). Les préfixes binaires peuvent aussi être utilisées : KiB=K, MiB=M et ainsi de suite.

  PARTIES peut être :

N   découper en N fichiers une entrée d'une certaine taille

K/N afficher la kième fraction de N sur la sortie standard

l/N découper en N fichiers sans couper les lignes/enregistrements

l/K/N
    afficher une Kiéme fraction de N sur la sortie standard sans découper les lignes/enregistrements

r/N identique à « l » mais utiliser une répartition en tourniquet (« round robin »)

r/K/N
    identique mais n'afficher que la Kième fraction de N sur la sortie standard

AUTEUR
Écrit par Torbjorn Granlund et Richard M. Stallman.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

COPYRIGHT
Copyright © 2020 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou ultérieure <https://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/split>
aussi disponible localement à l’aide de la commande : info '(coreutils) split invocation'

TRADUCTION
La traduction française de cette page de manuel a été créée par Julien Rosal <albator.deb@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.